> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate multipart upload

> Initiates a multipart upload task for local files in multipart mode. Only files in the following formats are supported:  **.csv**, **.tsv**, **.md**, **.mdx**, **.json**, **.txt**, **.pdf**, **.pptx**,  **.docx**, **.xls**, or **.xlsx**.

## Important notes

When you call this endpoint, Cloud Object Storage, for example, AWS S3, generates and returns a unique upload ID to identify the multipart upload task. This ID is required when you call the [Complete multipart upload](/api-reference/v2/complete-multipart-upload) endpoint.



## OpenAPI

````yaml post /v2/team/file/init-multipart-upload
openapi: 3.0.1
info:
  title: Team Open API Snake
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security:
  - apikey-header-x-pd-api-key: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v2/team/file/init-multipart-upload:
    post:
      tags:
        - File
      summary: Initiate multipart upload
      description: >-
        Initiates a multipart upload task for local files in multipart mode.
        Only files in the following formats are supported:  **.csv**, **.tsv**,
        **.md**, **.mdx**, **.json**, **.txt**, **.pdf**, **.pptx**,  **.docx**,
        **.xls**, or **.xlsx**.


        ## Important notes


        When you call this endpoint, Cloud Object Storage, for example, AWS S3,
        generates and returns a unique upload ID to identify the multipart
        upload task. This ID is required when you call the [Complete multipart
        upload](/api-reference/v2/complete-multipart-upload) endpoint.
      parameters:
        - name: Content-Type
          in: header
          description: ''
          required: false
          example: application/json
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: >-
            The trace ID you set in your system to trace this request. It can be
            up to 128 characters in length. If the request fails, you can
            provide it to the Powerdrill team to help with troubleshooting.
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                file_name:
                  type: string
                  description: >-
                    The complete name of the file, including its extension, for
                    example `sales_data.csv`.​
                file_size:
                  type: integer
                  description: The size of the file, in bytes.
                user_id:
                  type: string
                  description: >-
                    Your user ID, which uniquely identifies you within your
                    team. To obtain your ID:


                    - If you're the team admin, refer to [Check user
                    information](/enterprise/users#check-user-information).

                    - If you're a system or virtual user, ask your team admin to
                    check your user ID by referring to [Check user
                    information](/enterprise/users#check-user-information).
              required:
                - file_name
                - file_size
                - 01JF9Z5GRCAAWDHMQ0HZENJ0SS
                - user_id
            example:
              user_id: tmm-cm8gt41kuxxxx1l1d1n2wz8v
              file_name: sales_data.csv
              file_size: 1024
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. For error
                      troubleshooting, refer to [Error
                      Codes](/api-reference/error-codes).
                  data:
                    type: object
                    properties:
                      file_object_key:
                        type: string
                        description: The object storage path to the file.
                      part_items:
                        type: array
                        items:
                          type: object
                          properties:
                            number:
                              type: integer
                              description: The sequential number of the part.
                            upload_url:
                              type: string
                              description: The upload URL of the part.
                            size:
                              type: integer
                              description: The part size in bytes.
                          description: Information about each part.
                          required:
                            - number
                            - upload_url
                            - size
                        description: A list of parts.
                      upload_id:
                        type: string
                        description: >-
                          The unique identifier for the multipart upload task.
                          Save this value for later use in [Complete multipart
                          upload](/api-reference/v2/complete-multipart-upload).
                    required:
                      - file_object_key
                      - part_items
                      - upload_id
                required:
                  - data
                  - code
              example:
                code: 0
                data:
                  upload_id: >-
                    5k3EJxAYgtHW1fkbF54ppKEiTWSBeFBQ_01DnFEDSSHChV7w1jpw7SM_KWLkHYXm6Wzaw_NOpMG_OFsi9D5R8Csx9xxxx_m.YuWNjbTMWYIwVKG5rw0VXJZzgWbwSfe
                  file_object_key: >-
                    temp/user/tmm-cm8gt41kuxxxx1l1d1n2wz8v/26f6272c-a847-4589-b352-a85471bb5121.csv
                  part_items:
                    - number: 1
                      size: 1024
                      upload_url: >-
                        https://s3.amazonaws.com/powerdrilltest/temp/user/tmm-cm8gt41kuxxxx1l1d1n2wz8v/26f6272c-a847-4589-b352-a85471bb5121.csv?uploadId=5k3EJxAYgtHW1fkbF54ppKEiTWxxxxxx_01DnFEDSSHChV7w1jpw7SM_KWLkHYXm6Wzaw_NOpMG_OFsi9D5R8Csx9DUHbQ_m.YuWNjbTMWYIwVKG5rw0VXJZzgWbwSfe&partNumber=1&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20250402T085840Z&X-Amz-SignedHeaders=host&X-Amz-Expires=86399&X-Amz-Credential=AKIARLSQLXURHEIDN4OZ%2F20250402%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=b7be59679910fabd6603af6b7eb003094498ec7d6ceb47af93253540e734dba3
          headers: {}
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````